(window.webpackJsonp=window.webpackJsonp||[]).push([[30],{399:function(e,t,a){e.exports=a.p+"assets/img/public-gateway-checker.33924082.png"},534:function(e,t,a){"use strict";a.r(t);var o=a(19),s=Object(o.a)({},(function(){var e=this,t=e.$createElement,o=e._self._c||t;return o("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[o("h1",{attrs:{id:"ipfs-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#ipfs-gateway"}},[e._v("#")]),e._v(" IPFS Gateway")]),e._v(" "),o("p",[e._v("This document discusses:")]),e._v(" "),o("ul",[o("li",[e._v("The several types of gateways.")]),e._v(" "),o("li",[e._v("Gateway role in the use of IPFS.")]),e._v(" "),o("li",[e._v("Appropriate situations for the use of gateways.")]),e._v(" "),o("li",[e._v("Situations when you should avoid the use of gateways.")]),e._v(" "),o("li",[e._v("Implementation guidelines.")])]),e._v(" "),o("p",[e._v("You should read this document if you want to:")]),e._v(" "),o("ul",[o("li",[e._v("Understand, at a conceptual level, how gateways fit into the overall use of IPFS.")]),e._v(" "),o("li",[e._v("Decide whether and what type of gateways to employ for your use case.")]),e._v(" "),o("li",[e._v("Understand, at a conceptual level, how to deploy gateways for your use case.")])]),e._v(" "),o("h2",{attrs:{id:"overview"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#overview"}},[e._v("#")]),e._v(" Overview")]),e._v(" "),o("p",[e._v("IPFS deployment seeks to include native support of IPFS in all popular browsers and tools. Gateways provide workarounds for applications that do not yet support IPFS natively. For example, errors occur when a browser that does not support IPFS attempts access to IPFS content in the canonical form of "),o("code",[e._v("ipfs://{CID}/{optional path to resource}")]),e._v(". Other tools that rely solely on HTTP encounter similar errors in accessing IPFS content in canonical form, such as "),o("a",{attrs:{href:"https://curl.haxx.se/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Curl"),o("OutboundLink")],1),e._v(" and "),o("a",{attrs:{href:"https://www.gnu.org/software/wget/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Wget"),o("OutboundLink")],1),e._v(".")]),e._v(" "),o("p",[e._v("Tools like "),o("a",{attrs:{href:"https://github.com/ipfs-shipyard/ipfs-companion",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Companion"),o("OutboundLink")],1),e._v(" resolve these content access errors. However, not every user has permission to alter — or be capable of altering — their computer configuration. IPFS gateways provide an HTTP-based service that allows IPFS-ignorant browsers and tools to access IPFS content.")]),e._v(" "),o("h2",{attrs:{id:"gateway-providers"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#gateway-providers"}},[e._v("#")]),e._v(" Gateway providers")]),e._v(" "),o("p",[e._v("Regardless of who deploys a gateway and where, any IPFS gateway resolves access to any requested IPFS "),o("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[e._v("content identifier")]),e._v(". Therefore, for best performance, when you need the service of a gateway, you should use the one closest to you.")],1),e._v(" "),o("h3",{attrs:{id:"your-local-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#your-local-gateway"}},[e._v("#")]),e._v(" Your local gateway")]),e._v(" "),o("p",[e._v("Your machine may host a gateway as a local service; e.g., at "),o("code",[e._v("localhost:8080")]),e._v(". You have a local gateway service if you installed "),o("a",{attrs:{href:"https://github.com/ipfs-shipyard/ipfs-desktop#ipfs-desktop",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Desktop"),o("OutboundLink")],1),e._v(" or another form of IPFS node.")]),e._v(" "),o("h3",{attrs:{id:"private-gateways"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#private-gateways"}},[e._v("#")]),e._v(" Private gateways")]),e._v(" "),o("p",[e._v("Running "),o("a",{attrs:{href:"https://github.com/ipfs-shipyard/ipfs-desktop#ipfs-desktop",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Desktop"),o("OutboundLink")],1),e._v(" or another form of IPFS node triggers connection attempts to other IPFS peers. Private network administrators may treat such connection attempts as potential security vulnerabilities. Private IPFS gateway servers located inside the private network and running a trusted code base provide an alternative architecture for read/write access to externally-hosted IPFS content.")]),e._v(" "),o("p",[e._v("A gateway behind a firewall represents just one potential location for a private gateway. More generally, one may consider any gateway as a "),o("em",[e._v("private gateway")]),e._v(" when configured to limit access to requests from specific domains or parts of the public internet. This "),o("a",{attrs:{href:"https://blog.stacktical.com/ipfs/gateway/dapp/2019/09/21/ipfs-server-google-cloud-platform.html",target:"_blank",rel:"noopener noreferrer"}},[e._v("tutorial configuring an IPFS gateway on a Google Cloud platform"),o("OutboundLink")],1),e._v(" includes a description of constraining access.")]),e._v(" "),o("h3",{attrs:{id:"public-gateways"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#public-gateways"}},[e._v("#")]),e._v(" Public gateways")]),e._v(" "),o("p",[e._v("Public gateway operators include:")]),e._v(" "),o("ul",[o("li",[e._v("Protocol Labs, which deploys the public gateway "),o("code",[e._v("https://ipfs.io")]),e._v(".")]),e._v(" "),o("li",[e._v("Third-party public gateways. E.g., "),o("code",[e._v("https://cf-ipfs.com")]),e._v(".")])]),e._v(" "),o("p",[e._v("Protocol Labs maintains a "),o("a",{attrs:{href:"https://ipfs.github.io/public-gateway-checker/",target:"_blank",rel:"noopener noreferrer"}},[e._v("list of public gateways"),o("OutboundLink")],1),e._v(" and their status.")]),e._v(" "),o("p",[o("img",{attrs:{src:a(399),alt:"A list of public gateways and their status, available on IPFS",loading:"lazy"}})]),e._v(" "),o("h2",{attrs:{id:"gateway-types"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#gateway-types"}},[e._v("#")]),e._v(" Gateway types")]),e._v(" "),o("p",[e._v("Categorizing gateways involves several dimensions:")]),e._v(" "),o("ul",[o("li",[o("a",{attrs:{href:"#read-only-and-writeable-gateways"}},[e._v("Read/write support")])]),e._v(" "),o("li",[o("a",{attrs:{href:"#resolution-style"}},[e._v("Resolution style")])]),e._v(" "),o("li",[o("a",{attrs:{href:"#gateway-services"}},[e._v("Service")])])]),e._v(" "),o("p",[e._v("Choosing the form of gateway usage has security, performance, and other functional implications.")]),e._v(" "),o("h3",{attrs:{id:"read-only-and-writeable-gateways"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#read-only-and-writeable-gateways"}},[e._v("#")]),e._v(" Read-only and writeable gateways")]),e._v(" "),o("p",[e._v("The examples discussed in the earlier sections above illustrated the use of read-only HTTP gateways to fetch content from IPFS via an HTTP GET method. "),o("em",[e._v("Writeable")]),e._v(" HTTP gateways also support "),o("code",[e._v("POST")]),e._v(", "),o("code",[e._v("PUT")]),e._v(", and "),o("code",[e._v("DELETE")]),e._v(" methods.")]),e._v(" "),o("h3",{attrs:{id:"resolution-style"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#resolution-style"}},[e._v("#")]),e._v(" Resolution style")]),e._v(" "),o("p",[e._v("Three resolution styles exist:")]),e._v(" "),o("ul",[o("li",[o("a",{attrs:{href:"#path"}},[e._v("Path")])]),e._v(" "),o("li",[o("a",{attrs:{href:"#subdomain"}},[e._v("Subdomain")])]),e._v(" "),o("li",[o("a",{attrs:{href:"#dnslink"}},[e._v("DNSLink")])])]),e._v(" "),o("h4",{attrs:{id:"path"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#path"}},[e._v("#")]),e._v(" Path")]),e._v(" "),o("p",[e._v("The examples discussed above employed path resolution:")]),e._v(" "),o("div",{staticClass:"language-bash extra-class"},[o("pre",{pre:!0,attrs:{class:"language-bash"}},[o("code",[e._v("https://"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("gateway URL"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/ipfs/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("content ID"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("optional path to resource"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n")])])]),o("p",[e._v("Path-resolving gateways, however, violate the "),o("a",{attrs:{href:"https://en.wikipedia.org/wiki/Same-origin_policy",target:"_blank",rel:"noopener noreferrer"}},[e._v("same-origin policy"),o("OutboundLink")],1),e._v(" that protects one website from improperly accessing session data of another website.")]),e._v(" "),o("h4",{attrs:{id:"subdomain"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#subdomain"}},[e._v("#")]),e._v(" Subdomain")]),e._v(" "),o("p",[e._v("Subdomain resolution style maintains compliance with the "),o("a",{attrs:{href:"https://en.wikipedia.org/wiki/Same-origin_policy",target:"_blank",rel:"noopener noreferrer"}},[e._v("single-origin policy"),o("OutboundLink")],1),e._v(". The canonical form of access, "),o("code",[e._v("https://{CID}.ipfs.{gatewayURL}/{optional path to resource}")]),e._v(", causes the browser to interpret each returned file as being from a different origin.")]),e._v(" "),o("p",[e._v("Subdomain resolution support began with "),o("a",{attrs:{href:"https://github.com/ipfs/go-ipfs",target:"_blank",rel:"noopener noreferrer"}},[e._v("Go-IPFS"),o("OutboundLink")],1),e._v(" release "),o("code",[e._v("0.5.0")]),e._v(".")]),e._v(" "),o("h4",{attrs:{id:"dnslink"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#dnslink"}},[e._v("#")]),e._v(" DNSlink")]),e._v(" "),o("p",[e._v("Whenever the content of data within IPFS changes, IPFS creates a new CID based on the content of that data. Many applications require access to the latest version of a file or website but will not know the exact CID for that latest version. The "),o("RouterLink",{attrs:{to:"/concepts/ipns/"}},[e._v("InterPlanetary Name Service (IPNS)")]),e._v(" allows a version-independent IPNS identifier to resolve into the current version's IPFS CID.")],1),e._v(" "),o("p",[e._v("The version-independent IPNS identifier contains a hash. When a gateway processes a request in the form "),o("code",[e._v("https://{gatewayURL}/ipns/{IPNS identifier}/{optional path}")]),e._v(", the gateway employs IPNS to resolve the IPNS identifier into the current version's CID and then fetches the corresponding content.")]),e._v(" "),o("p",[e._v("But the IPNS identifier may instead refer to a fully-qualified domain name in the usual form of "),o("code",[e._v("example.com")]),e._v(".")]),e._v(" "),o("p",[e._v("DNSLink resolution occurs when the gateway recognizes an IPNS identifier contains "),o("code",[e._v("example.com")]),e._v(". For example, the URL "),o("code",[e._v("https://libp2p.io")]),e._v(" returns the current version of that website — a site stored in IPFS — as follows:")]),e._v(" "),o("ol",[o("li",[o("p",[e._v("The gateway receives a request in the form:")]),e._v(" "),o("div",{staticClass:"language-bash extra-class"},[o("pre",{pre:!0,attrs:{class:"language-bash"}},[o("code",[e._v("https://"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("gateway URL"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/ipns/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("example.com"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("optional path"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n")])])])]),e._v(" "),o("li",[o("p",[e._v("The gateway searches the DNS TXT records of the requested domain "),o("code",[e._v("{example.com}")]),e._v(" for a string of the form "),o("code",[e._v("dnslink=/ipfs/{CID}")]),e._v(" or "),o("code",[e._v("_dnslink=/ipfs/{CID}")]),e._v(". If found, the gateway uses the specified CID to serve up "),o("code",[e._v("ipfs://{CID}/{optional path}")]),e._v(". As with path resolution, this form of DNSLink resolution violates the single-origin policy. The domain operator may ensure single-origin policy compliance — and the delivery of the current version of content — by adding an "),o("code",[e._v("Alias")]),e._v(" record in the DNS that refers to a suitable IPFS gateway; e.g., "),o("code",[e._v("gateway.ipfs.io")]),e._v(".")])]),e._v(" "),o("li",[o("p",[e._v("The "),o("code",[e._v("Alias")]),e._v(" record redirects any access to that "),o("code",[e._v("example.com")]),e._v(" to the specified gateway. Hence the browser's request to "),o("code",[e._v("https://{example.com}/{optional path to resource}")]),e._v(" redirects to the gateway specified in the "),o("code",[e._v("Alias")]),e._v(".")])]),e._v(" "),o("li",[o("p",[e._v("The gateway employs DNSLink resolution to return the current content version from IPFS.")])]),e._v(" "),o("li",[o("p",[e._v("The browser does not perceive the gateway as the origin of the content and therefore enforces the single-origin policy to protect "),o("code",[e._v("example.com")]),e._v(".")])])]),e._v(" "),o("h3",{attrs:{id:"gateway-services"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#gateway-services"}},[e._v("#")]),e._v(" Gateway services")]),e._v(" "),o("p",[e._v("Currently HTTP gateways may access both IPFS and IPNS services:")]),e._v(" "),o("table",[o("thead",[o("tr",[o("th",[e._v("Service")]),e._v(" "),o("th",[e._v("Style")]),e._v(" "),o("th",[e._v("Canonical form of access")])])]),e._v(" "),o("tbody",[o("tr",[o("td",[e._v("IPFS")]),e._v(" "),o("td",[e._v("path")]),e._v(" "),o("td",[o("code",[e._v("https://{gateway URL}/ipfs/{CID}/{optional path to resource}")])])]),e._v(" "),o("tr",[o("td",[e._v("IPFS")]),e._v(" "),o("td",[e._v("subdomain")]),e._v(" "),o("td",[o("code",[e._v("https://{CID}.ipfs.{gatewayURL}/{optional path to resource}")])])]),e._v(" "),o("tr",[o("td",[e._v("IPFS")]),e._v(" "),o("td",[e._v("DNSLink")]),e._v(" "),o("td",[o("code",[e._v("https://{example.com}/{optional path to resource}")]),e._v(" "),o("strong",[e._v("preferred")]),e._v(", or "),o("br"),o("code",[e._v("https://{gateway URL}/ipns/{example.com}/{optional path to resource}")])])]),e._v(" "),o("tr",[o("td",[e._v("IPNS")]),e._v(" "),o("td",[e._v("path")]),e._v(" "),o("td",[o("code",[e._v("https://{gateway URL}/ipns/{IPNS identifier}/{optional path to resource}")])])]),e._v(" "),o("tr",[o("td",[e._v("IPNS")]),e._v(" "),o("td",[e._v("subdomain")]),e._v(" "),o("td",[o("code",[e._v("https://{IPNS identifier}.ipns.{gatewayURL}/{optional path to resource}")])])]),e._v(" "),o("tr",[o("td",[e._v("IPNS")]),e._v(" "),o("td",[e._v("DNSLink")]),e._v(" "),o("td",[e._v("Useful when IPNS identifier is a domain: "),o("br"),o("code",[e._v("https://{example.com}/{optional path to resource}")]),e._v(" "),o("strong",[e._v("preferred")]),e._v(", or "),o("br"),o("code",[e._v("https://{gateway URL}/ipns/{example.com}/{optional path to resource}")])])])])]),e._v(" "),o("h3",{attrs:{id:"which-type-to-use"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#which-type-to-use"}},[e._v("#")]),e._v(" Which type to use")]),e._v(" "),o("p",[e._v("The preferred form of gateway access varies depending on the nature of the targeted content.")]),e._v(" "),o("table",[o("thead",[o("tr",[o("th",[e._v("Target")]),e._v(" "),o("th",[e._v("Preferred gateway type")]),e._v(" "),o("th",[e._v("Canonical form of access "),o("br"),e._v(" features & considerations")])])]),e._v(" "),o("tbody",[o("tr",[o("td",[e._v("Current version of "),o("br"),e._v("potentially mutable root")]),e._v(" "),o("td",[e._v("IPNS subdomain")]),e._v(" "),o("td",[o("code",[e._v("https://{IPNS identifier}.ipns.{gatewayURL}/{optional path to resource}")]),e._v(" "),o("br"),e._v(" + supports cross-origin security "),o("br"),e._v(" + supports cross-origin resource sharing "),o("br"),e._v(" + suitable for both domain IPNS names ("),o("code",[e._v("{domain.tld}")]),e._v(") and hash IPNS names")])]),e._v(" "),o("tr",[o("td"),e._v(" "),o("td",[e._v("IPFS DNSLink")]),e._v(" "),o("td",[o("code",[e._v("https://{example.com}/{optional path to resource}")]),e._v(" "),o("br"),e._v(" + supports cross-origin security "),o("br"),e._v(" + supports cross-origin resource sharing "),o("br"),e._v(" – requires DNS update to propagate change to root content "),o("br"),e._v(" • DNSLink, not user/app, specifies the gateway to use, opening up potential gateway trust and congestion issues")])]),e._v(" "),o("tr",[o("td",[e._v("Immutable root or "),o("br"),e._v(" content")]),e._v(" "),o("td",[e._v("IPFS subdomain")]),e._v(" "),o("td",[o("code",[e._v("https://{CID}.ipfs.{gatewayURL}/{optional path to resource}")]),e._v(" "),o("br"),e._v(" + supports cross-origin security "),o("br"),e._v(" + supports cross-origin resource sharing")])])])]),e._v(" "),o("p",[e._v("Any form of gateway provides a bridge for apps without native support of IPFS. Better performance and security results from native IPFS implementation within an app.")]),e._v(" "),o("h2",{attrs:{id:"when-not-to-use-a-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#when-not-to-use-a-gateway"}},[e._v("#")]),e._v(" When not to use a gateway")]),e._v(" "),o("h3",{attrs:{id:"delay-sensitive-applications"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#delay-sensitive-applications"}},[e._v("#")]),e._v(" Delay-sensitive applications")]),e._v(" "),o("p",[e._v("Any gateway introduces a delay in completing desired actions because the gateway acts as an intermediary between the source of the request and the IPFS node or nodes capable of returning the desired content. If the serving gateway cached the requested content earlier (e.g., due to previous requests), then the cache eliminates this delay.")]),e._v(" "),o("p",[e._v("Overuse of a gateway also introduces delays due to queuing of requests.")]),e._v(" "),o("p",[e._v("When dealing with delay-sensitive processes, you should aim to use a native IPFS node within the app (fastest), or as a local service daemon (almost as fast). Failing that, use a gateway installed as a local service. Note that when an IPFS node runs locally, it includes a gateway at "),o("code",[e._v("http://127.0.0.1:8080")]),e._v(".")]),e._v(" "),o("p",[e._v("All time-insensitive processes can be routed through public/private gateways.")]),e._v(" "),o("h3",{attrs:{id:"end-to-end-cryptographic-validation-required"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#end-to-end-cryptographic-validation-required"}},[e._v("#")]),e._v(" End-to-end cryptographic validation required")]),e._v(" "),o("p",[e._v("Because of third-party gateway vulnerabilities, apps requiring end-to-end validation of content read/write should avoid gateways when possible. If the app must employ an external gateway, such apps should use "),o("code",[e._v("ipfs.io")]),e._v(" or a trusted third-party.")]),e._v(" "),o("h2",{attrs:{id:"limitations-and-potential-workarounds"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#limitations-and-potential-workarounds"}},[e._v("#")]),e._v(" Limitations and potential workarounds")]),e._v(" "),o("h3",{attrs:{id:"centralization"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#centralization"}},[e._v("#")]),e._v(" Centralization")]),e._v(" "),o("p",[e._v("Use of a gateway requires location-based addressing: "),o("code",[e._v("https://{gatewayURL}/ipfs/{CID}/{etc}")]),e._v(" All too easily, the gateway URL can become the handle by which users identify the content; i.e., the uniform reference locator (URL) equates (improperly) to the uniform reference identifier (URI). Now imagine that the gateway goes offline or cannot be reached from a different user's location because of firewalls. At this moment, content improperly identified by that gateway-based URL also appears unreachable, defeating a key benefit of IPFS: decentralization.")]),e._v(" "),o("p",[e._v("Similarly, the use of DNSLink resolution with "),o("code",[e._v("Alias")]),e._v(" forces requests through the domain's chosen gateway, as specified in the "),o("code",[e._v("dnslink={value}")]),e._v(" string within the DNS TXT record. If the specified gateway becomes overloaded, goes offline, or becomes compromised, all traffic with that content becomes deleted, disabled, or suspect.")]),e._v(" "),o("h3",{attrs:{id:"misplaced-trust"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#misplaced-trust"}},[e._v("#")]),e._v(" Misplaced trust")]),e._v(" "),o("p",[e._v("Trusting a specific gateway, in turn, requires you to trust the gateway's issuing Certificate Authorities and the security of the public key infrastructure employed by that gateway. Compromised certificate authorities or public-key infrastructure implementations may undermine the trustworthiness of the gateway.")]),e._v(" "),o("h3",{attrs:{id:"violation-of-same-origin-policy"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#violation-of-same-origin-policy"}},[e._v("#")]),e._v(" Violation of same-origin policy")]),e._v(" "),o("p",[e._v("To prevent one website from improperly accessing HTTP session data associated with a different website, the "),o("a",{attrs:{href:"https://en.wikipedia.org/wiki/Same-origin_policy",target:"_blank",rel:"noopener noreferrer"}},[e._v("same-origin policy"),o("OutboundLink")],1),e._v(" permits script access only to pages that share a common domain name and port.")]),e._v(" "),o("p",[e._v("Consider two web pages stored in IPFS: "),o("code",[e._v("ipfs://{CID A}/{webpage A}")]),e._v(" and "),o("code",[e._v("ipfs://{CID B}/{webpage B}")]),e._v(". Code on "),o("code",[e._v("webpage A")]),e._v(" should not access data from "),o("code",[e._v("webpage B")]),e._v(", as they do not share the same content ID (origin).")]),e._v(" "),o("p",[e._v("A browser employing one gateway to access both sites, however, might not enforce that security policy. From that browser's perspective, both webpages share a common origin: the gateway as identified in the URL "),o("code",[e._v("https://{gatewayURL}/...")]),e._v(".")]),e._v(" "),o("p",[e._v("The use of subdomain gateways avoids violating the same-origin policy. In this situation, the gateway's reference to the two webpages becomes:")]),e._v(" "),o("div",{staticClass:"language-bash extra-class"},[o("pre",{pre:!0,attrs:{class:"language-bash"}},[o("code",[e._v("https://"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("CID A"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v(".ipfs."),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("gatewayURL"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("webpage A"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\nhttps://"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("CID B"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v(".ipfs."),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("gatewayURL"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("/"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("webpage B"),o("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n")])])]),o("p",[e._v("These pages do not share the same origin. Similarly, the use of DNSLink gateway avoids violating the same-origin policy. The "),o("a",{attrs:{href:"https://ipfs.github.io/public-gateway-checker/",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS public gateway checker"),o("OutboundLink")],1),e._v(" identifies those public gateways that avoid violating the same-origin policy.")]),e._v(" "),o("h3",{attrs:{id:"cross-origin-resource-sharing-cors"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#cross-origin-resource-sharing-cors"}},[e._v("#")]),e._v(" Cross-origin resource sharing (CORS)")]),e._v(" "),o("p",[o("a",{attrs:{href:"https://web.archive.org/web/20200418003728/https://developer.mozilla.org/en-US/docs/Web/HTTP/CORS#The_HTTP_response_headers",target:"_blank",rel:"noopener noreferrer"}},[e._v("CORS"),o("OutboundLink")],1),e._v(" allows a webpage to permit access to specified data by pages with a different origin. The "),o("a",{attrs:{href:"https://ipfs.github.io/public-gateway-checker/",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS public gateway checker"),o("OutboundLink")],1),e._v(" identifies those public gateways that support CORS.")]),e._v(" "),o("h3",{attrs:{id:"gateway-man-in-the-middle-vulnerability"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#gateway-man-in-the-middle-vulnerability"}},[e._v("#")]),e._v(" Gateway man-in-the-middle vulnerability")]),e._v(" "),o("p",[e._v("Employing a public or private HTTP gateway sacrifices end-to-end cryptographic validation of the delivery of the correct content. Consider the case of a browser fetching content with the URL "),o("code",[e._v("https://ExampleGateway.com/ipfs/{cid}")]),e._v(". A compromised "),o("code",[e._v("ExampleGateway.com")]),e._v(" provides man-in-the-middle vulnerabilities, including:")]),e._v(" "),o("ul",[o("li",[e._v("Substituting false content in place of the actual content retrieved via the CID.")]),e._v(" "),o("li",[e._v("Diverting a copy of the query and response, as well as the IP address of the querying browser, to a third party.")])]),e._v(" "),o("p",[e._v("A compromised writeable gateway may inject falsified content into the IPFS network, returning a CID which the user believes to refer to the true content. For example:")]),e._v(" "),o("ol",[o("li",[e._v("Alice posts a balance of "),o("code",[e._v("123.54")]),e._v(" to a compromised writable gateway.")]),e._v(" "),o("li",[e._v("The gateway is currently storing a balance of "),o("code",[e._v("0.00")]),e._v(", so it returns the CID of the falsified content to Alice.")]),e._v(" "),o("li",[e._v("Alice gives the falsified content CID to Bob.")]),e._v(" "),o("li",[e._v("Bob fetches the content with this CID and cryptographically validates the balance of "),o("code",[e._v("0.00")]),e._v(".")])]),e._v(" "),o("p",[e._v("To partially address this exposure, you may wish to use the public gateway "),o("a",{attrs:{href:"https://cf-ipfs.com",target:"_blank",rel:"noopener noreferrer"}},[e._v("cf-ipfs.com"),o("OutboundLink")],1),e._v(" as an independent, trusted reference with both same-origin policy and CORS support.")]),e._v(" "),o("h3",{attrs:{id:"assumed-filenames-when-downloading-files"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#assumed-filenames-when-downloading-files"}},[e._v("#")]),e._v(" Assumed filenames when downloading files")]),e._v(" "),o("p",[e._v("When downloading files, browsers will usually guess a file's filename by looking at the last component of the path, e.g., "),o("code",[e._v("https://{domainName/tld}/{path}/userManual.pdf")]),e._v(" downloads a file stored locally with the name "),o("code",[e._v("userManual.pdf")]),e._v(". Unfortunately, when linking directly to a file with no containing directory in IPFS, the CID becomes the final component. Storing the downloaded file with the filename set to the CID fails the human-friendly design test.")]),e._v(" "),o("p",[e._v("To work around this issue, you can add a "),o("code",[e._v("?filename={filename.ext}")]),e._v(" parameter to your query string to preemptively specify a name for the locally-stored downloaded file:")]),e._v(" "),o("table",[o("thead",[o("tr",[o("th",[e._v("Style")]),e._v(" "),o("th",[e._v("Query")])])]),e._v(" "),o("tbody",[o("tr",[o("td",[e._v("Path")]),e._v(" "),o("td",[o("code",[e._v("https://{gatewayURL}/ipfs/{CID}/{optional path to resource}?filename={filename.ext}")])])]),e._v(" "),o("tr",[o("td",[e._v("Subdomain")]),e._v(" "),o("td",[o("code",[e._v("https://{CID}.ipfs.{gatewayURL}/{optional path to resource}?filename={filename.ext}")])])]),e._v(" "),o("tr",[o("td",[e._v("DNSLink")]),e._v(" "),o("td",[o("code",[e._v("https://{example.com}/{optional path to resource}")]),e._v(" or "),o("br"),e._v(" "),o("code",[e._v("https://{gatewayURL}/ipns/{example.com}/{optional path to resource}?filename={filename.ext}")])])])])]),e._v(" "),o("h3",{attrs:{id:"stale-caches"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#stale-caches"}},[e._v("#")]),e._v(" Stale caches")]),e._v(" "),o("p",[e._v("A gateway may cache DNSLinks from DNS TXT records, which default to a one-hour lifetime. After content changes, cached DNSLinks continue to refer to the now-obsolete CID. To limit the delivery of obsolete cached content, the domain operator should change the DNS record's time-to-live parameter to a minute "),o("code",[e._v("60")]),e._v(".")]),e._v(" "),o("h2",{attrs:{id:"frequently-asked-questions-faqs"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#frequently-asked-questions-faqs"}},[e._v("#")]),e._v(" Frequently asked questions (FAQs)")]),e._v(" "),o("h3",{attrs:{id:"what-is-the-ipfs-io-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#what-is-the-ipfs-io-gateway"}},[e._v("#")]),e._v(" What is the ipfs.io gateway?")]),e._v(" "),o("p",[e._v("The ipfs.io gateway makes it possible for Internet users to access and view data hosted by third parties on the IPFS network. The ipfs.io gateway is a community resource run by Protocol Labs to help developers build on IPFS.")]),e._v(" "),o("h3",{attrs:{id:"how-is-the-ipfs-io-gateway-different-from-other-gateways"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#how-is-the-ipfs-io-gateway-different-from-other-gateways"}},[e._v("#")]),e._v(" How is the ipfs.io gateway different from other gateways?")]),e._v(" "),o("p",[e._v("The ipfs.io gateway is a gateway run by Protocol Labs. Many other entities run their own gateways with different policies around throttling and access, which may be subject to other local laws and regulations. A "),o("a",{attrs:{href:"https://ipfs.github.io/public-gateway-checker/",target:"_blank",rel:"noopener noreferrer"}},[e._v("list of public gateways is available here"),o("OutboundLink")],1),e._v(".")]),e._v(" "),o("p",[e._v("Protocol Labs does not store or host the data that is viewable through the ipfs.io gateway. Rather, the ipfs.io gateway allows users to view content hosted by third parties. Protocol Labs does not have any control over the data that is viewed through the ipfs.io gateway, nor does Protocol Labs have control over other gateways.")]),e._v(" "),o("h3",{attrs:{id:"is-the-ipfs-io-gateway-a-data-storage-host"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#is-the-ipfs-io-gateway-a-data-storage-host"}},[e._v("#")]),e._v(" Is the ipfs.io gateway a data storage host?")]),e._v(" "),o("p",[e._v("No. The ipfs.io gateway is a passthrough portal to data hosted by third parties on nodes in the IPFS network. It is not a data storage host.")]),e._v(" "),o("h3",{attrs:{id:"can-websites-rely-on-the-ipfs-io-gateway-for-hosting"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#can-websites-rely-on-the-ipfs-io-gateway-for-hosting"}},[e._v("#")]),e._v(" Can websites rely on the ipfs.io gateway for hosting?")]),e._v(" "),o("p",[e._v("No. Websites should not rely on the ipfs.io gateway for hosting of any kind. The ipfs.io gateway is a community resource run by Protocol Labs to help developers build on IPFS. Users of the ipfs.io gateway must use resources sparingly. Protocol Labs will throttle or ban users who overuse or misuse community resources, including relying on the ipfs.io gateway for website hosting or violating the Community Code of Conduct.")]),e._v(" "),o("h3",{attrs:{id:"how-does-the-ipfs-io-gateway-handle-global-data-regulations"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#how-does-the-ipfs-io-gateway-handle-global-data-regulations"}},[e._v("#")]),e._v(" How does the ipfs.io Gateway handle global data regulations?")]),e._v(" "),o("p",[e._v("Protocol Labs complies with the laws and regulations of relevant jurisdictions.")]),e._v(" "),o("p",[e._v("As explained above, the ipfs.io gateway is not a website hosting provider or data storage provider, and Protocol Labs cannot remove material from the Internet that is accessible through the ipfs.io gateway.")]),e._v(" "),o("h3",{attrs:{id:"who-is-responsible-for-the-content-that-is-viewed-through-the-ipfs-io-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#who-is-responsible-for-the-content-that-is-viewed-through-the-ipfs-io-gateway"}},[e._v("#")]),e._v(" Who is responsible for the content that is viewed through the ipfs.io gateway?")]),e._v(" "),o("p",[e._v("Users of the ipfs.io gateway are required to comply with all applicable laws and regulations while using the ipfs.io gateway.")]),e._v(" "),o("p",[e._v("The ipfs.io gateway is not a data storage provider or website host. The ipfs.io gateway allows users to view content hosted by third parties over which Protocol Labs exercises no control. The fact that certain content is viewable through the ipfs.io gateway does not mean it is hosted by the ipfs.io gateway or that Protocol Labs can do anything to delete that content.")]),e._v(" "),o("p",[e._v("As explained above, the ipfs.io gateway is not a website hosting provider or data storage provider, and Protocol Labs cannot remove material from the Internet that is accessible through the ipfs.io gateway. If you believe that material accessible through the ipfs.io gateway is illegal or violates your copyright, you are encouraged to directly notify whoever is hosting or controls that data.")]),e._v(" "),o("p",[e._v("While the ipfs.io gateway does not serve as a host for data or websites, in appropriate circumstances, Protocol Labs can disable the ability to view certain content via the ipfs.io gateway. This does not mean that the data itself has been taken down from the network but rather that the content is not viewable using the ipfs.io gateway. This also will not impact the availability of the data through other gateways run by other parties.")]),e._v(" "),o("p",[e._v("You can report abuse by emailing abuse@protocol.ai. When appropriate, we will disable access through the ipfs.io gateway to the specific content set forth in your abuse report.")]),e._v(" "),o("h3",{attrs:{id:"can-protocol-labs-take-down-content-viewable-through-the-ipfs-io-gateway"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#can-protocol-labs-take-down-content-viewable-through-the-ipfs-io-gateway"}},[e._v("#")]),e._v(" Can Protocol Labs take down content viewable through the ipfs.io gateway?")]),e._v(" "),o("p",[e._v("No. The ipfs.io gateway is one of many portals used to view content stored by third parties on the Internet. Protocol Labs is not hosting that content and cannot take it down, but it can block the ability of users to view that content via the ipfs.io gateway in appropriate circumstances.")]),e._v(" "),o("h2",{attrs:{id:"learning-more"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#learning-more"}},[e._v("#")]),e._v(" Learning more")]),e._v(" "),o("ul",[o("li",[o("a",{attrs:{href:"https://github.com/ipfs/go-ipfs/blob/master/docs/config.md#gateway",target:"_blank",rel:"noopener noreferrer"}},[e._v("Gateway configuration options"),o("OutboundLink")],1)])])])}),[],!1,null,null,null);t.default=s.exports}}]);