(window.webpackJsonp=window.webpackJsonp||[]).push([[44],{523:function(t,e,s){"use strict";s.r(e);var a=s(19),r=Object(a.a)({},(function(){var t=this,e=t.$createElement,s=t._self._c||e;return s("ContentSlotsDistributor",{attrs:{"slot-key":t.$parent.slotKey}},[s("h1",{attrs:{id:"content-addressing-and-cids"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#content-addressing-and-cids"}},[t._v("#")]),t._v(" Content addressing and CIDs")]),t._v(" "),s("div",{staticClass:"custom-block callout"},[s("p",[t._v("For a deep dive into how Content Identifiers (CIDs) are constructed, take a look at ProtoSchool's tutorial on the "),s("a",{attrs:{href:"https://proto.school/anatomy-of-a-cid",target:"_blank",rel:"noopener noreferrer"}},[t._v("Anatomy of a CID"),s("OutboundLink")],1),t._v(".")])]),t._v(" "),s("p"),s("div",{staticClass:"table-of-contents"},[s("ul",[s("li",[s("a",{attrs:{href:"#identifier-formats"}},[t._v("Identifier formats")]),s("ul",[s("li",[s("a",{attrs:{href:"#version-0-v0"}},[t._v("Version 0 (v0)")])]),s("li",[s("a",{attrs:{href:"#version-1-v1"}},[t._v("Version 1 (v1)")])])])]),s("li",[s("a",{attrs:{href:"#cid-inspector"}},[t._v("CID Inspector")])]),s("li",[s("a",{attrs:{href:"#cid-conversion"}},[t._v("CID conversion")]),s("ul",[s("li",[s("a",{attrs:{href:"#v0-to-v1"}},[t._v("v0 to v1")])]),s("li",[s("a",{attrs:{href:"#text-to-binary"}},[t._v("Text to binary")])]),s("li",[s("a",{attrs:{href:"#cid-to-hex"}},[t._v("CID to hex")])])])]),s("li",[s("a",{attrs:{href:"#further-resources"}},[t._v("Further resources")])])])]),s("p"),t._v(" "),s("p",[t._v("A "),s("em",[t._v("content identifier")]),t._v(", or CID, is a label used to point to material in IPFS. It doesn't indicate "),s("em",[t._v("where")]),t._v(" the content is stored, but it forms a kind of address based on the content itself. CIDs are short, regardless of the size of their underlying content.")]),t._v(" "),s("p",[t._v("CIDs are based on the content’s "),s("RouterLink",{attrs:{to:"/concepts/hashing/"}},[t._v("cryptographic hash")]),t._v(". That means:")],1),t._v(" "),s("ul",[s("li",[t._v("Any difference in the content will produce a different CID and")]),t._v(" "),s("li",[t._v("The same content added to two different IPFS nodes using the same settings will produce "),s("em",[t._v("the same CID")]),t._v(".")])]),t._v(" "),s("p",[t._v("IPFS uses the "),s("code",[t._v("sha-256")]),t._v(" hashing algorithm by default, but there is support for many other algorithms. The "),s("a",{attrs:{href:"https://multiformats.io/multihash/",target:"_blank",rel:"noopener noreferrer"}},[t._v("Multihash"),s("OutboundLink")],1),t._v(" project represents the work for this, with the aim of future-proofing applications' use of hashes and allowing multiple hash functions to coexist. (If you're curious about how hash types in IPFS are decided upon, you may wish to keep an eye on "),s("a",{attrs:{href:"https://discuss.ipfs.io/t/who-decides-what-hashing-algorithms-ipfs-allows/6742",target:"_blank",rel:"noopener noreferrer"}},[t._v("this forum discussion"),s("OutboundLink")],1),t._v(".)")]),t._v(" "),s("h2",{attrs:{id:"identifier-formats"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#identifier-formats"}},[t._v("#")]),t._v(" Identifier formats")]),t._v(" "),s("p",[t._v("CIDs can take a few different forms with different encoding bases or CID versions. Many of the existing IPFS tools still generate v0 CIDs, although the "),s("code",[t._v("files")]),t._v(" ("),s("RouterLink",{attrs:{to:"/concepts/file-systems/#mutable-file-system-mfs"}},[t._v("Mutable File System")]),t._v(") and "),s("code",[t._v("object")]),t._v(" operations now use CIDv1 by default.")],1),t._v(" "),s("h3",{attrs:{id:"version-0-v0"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#version-0-v0"}},[t._v("#")]),t._v(" Version 0 (v0)")]),t._v(" "),s("p",[t._v("When IPFS was first designed, we used base 58-encoded multihashes as the content identifiers. This is simpler but much less flexible than newer CIDs. CIDv0 is still used by default for many IPFS operations, so you should generally support v0.")]),t._v(" "),s("p",[t._v('If a CID is 46 characters starting with "Qm", it\'s a CIDv0 (for more details, check the '),s("a",{attrs:{href:"https://github.com/ipld/cid/blob/ef1b2002394b15b1e6c26c30545fd485f2c4c138/README.md#decoding-algorithm",target:"_blank",rel:"noopener noreferrer"}},[t._v("decoding algorithm"),s("OutboundLink")],1),t._v(" in the CID specification).")]),t._v(" "),s("h3",{attrs:{id:"version-1-v1"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#version-1-v1"}},[t._v("#")]),t._v(" Version 1 (v1)")]),t._v(" "),s("p",[t._v("CID v1 contains some leading identifiers that clarify exactly which representation is used, along with the content-hash itself. These include:")]),t._v(" "),s("ul",[s("li",[t._v("A "),s("a",{attrs:{href:"https://github.com/multiformats/multibase",target:"_blank",rel:"noopener noreferrer"}},[t._v("multibase"),s("OutboundLink")],1),t._v(" prefix, specifying the encoding used for the remainder of the CID")]),t._v(" "),s("li",[t._v("A CID version identifier, which indicates which version of CID this is")]),t._v(" "),s("li",[t._v("A "),s("a",{attrs:{href:"https://github.com/multiformats/multicodec",target:"_blank",rel:"noopener noreferrer"}},[t._v("multicodec"),s("OutboundLink")],1),t._v(" identifier, indicating the format of the target content — it helps people and software to know how to interpret that content after the content is fetched")])]),t._v(" "),s("p",[t._v("These leading identifiers also provide forward-compatibility, supporting different formats to be used in future versions of CID.")]),t._v(" "),s("p",[t._v("You can use the first few bytes of the CID to interpret the remainder of the content address and know how to decode the content after being fetched from IPFS. For more details, check out the "),s("a",{attrs:{href:"https://github.com/ipld/cid",target:"_blank",rel:"noopener noreferrer"}},[t._v("CID specification"),s("OutboundLink")],1),t._v(". It includes a "),s("a",{attrs:{href:"https://github.com/ipld/cid/blob/ef1b2002394b15b1e6c26c30545fd485f2c4c138/README.md#decoding-algorithm",target:"_blank",rel:"noopener noreferrer"}},[t._v("decoding algorithm"),s("OutboundLink")],1),t._v(" and links to existing software implementations for decoding CIDs.")]),t._v(" "),s("p",[t._v("If you can't decide between CIDv0 and CIDv1, consider choosing CIDv1 for your new project and opt in by passing a version flag ("),s("code",[t._v("ipfs add --cid-version 1")]),t._v("). This is more future-proof and "),s("RouterLink",{attrs:{to:"/how-to/address-ipfs-on-web/#subdomain-gateway"}},[t._v("safe for use in browser contexts")]),t._v(".")],1),t._v(" "),s("p",[t._v("The IPFS project will switch to CIDv1 as the new default in the near future.")]),t._v(" "),s("h2",{attrs:{id:"cid-inspector"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#cid-inspector"}},[t._v("#")]),t._v(" CID Inspector")]),t._v(" "),s("p",[t._v("It's easy to explore a CID for yourself. Want to pull apart a specific CID's multibase, multicodec, or multihash info? You can use the "),s("a",{attrs:{href:"https://cid.ipfs.io/#QmY7Yh4UquoXHLPFo2XbhXkhBvFoPwmQUSa92pxnxjQuPU",target:"_blank",rel:"noopener noreferrer"}},[t._v("CID Inspector"),s("OutboundLink")],1),t._v(" or the "),s("a",{attrs:{href:"https://explore.ipld.io/#/explore/QmY7Yh4UquoXHLPFo2XbhXkhBvFoPwmQUSa92pxnxjQuPU",target:"_blank",rel:"noopener noreferrer"}},[t._v("CID Info panel in IPLD Explorer"),s("OutboundLink")],1),t._v(" (both links launch using a sample CID) for an interactive breakdown of differently-formatted CIDs.")]),t._v(" "),s("p",[t._v("Check out ProtoSchool's "),s("a",{attrs:{href:"https://proto.school/anatomy-of-a-cid",target:"_blank",rel:"noopener noreferrer"}},[t._v("Anatomy of a CID"),s("OutboundLink")],1),t._v(" tutorial to see how a single file can be represented in multiple CID versions.")]),t._v(" "),s("h2",{attrs:{id:"cid-conversion"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#cid-conversion"}},[t._v("#")]),t._v(" CID conversion")]),t._v(" "),s("p",[t._v("Converting a CID from v0 to v1 enables it to be represented in multibase encodings."),s("br"),t._v("\nThe default for CIDv1 is the case-insensitive "),s("code",[t._v("base32")]),t._v(", but use of the shorter "),s("code",[t._v("base36")]),t._v(" is encouraged for IPNS names to ensure same text representation on "),s("RouterLink",{attrs:{to:"/how-to/address-ipfs-on-web/#subdomain-gateway"}},[t._v("subdomains")]),t._v(".")],1),t._v(" "),s("h3",{attrs:{id:"v0-to-v1"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#v0-to-v1"}},[t._v("#")]),t._v(" v0 to v1")]),t._v(" "),s("p",[t._v("The built-in "),s("code",[t._v("ipfs cid format")]),t._v(" command can be used from the command line:")]),t._v(" "),s("div",{staticClass:"language- extra-class"},[s("pre",{pre:!0,attrs:{class:"language-text"}},[s("code",[t._v("$ ipfs cid format -v 1 -b base32 QmbWqxBEKC3P8tqsKc98xmWNzrzDtRLMiMPL8wBuTGsMnR\nbafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi\n")])])]),s("p",[t._v("JavaScript users can also leverage the "),s("code",[t._v("toV1()")]),t._v(" method provided by the "),s("a",{attrs:{href:"https://www.npmjs.com/package/cids",target:"_blank",rel:"noopener noreferrer"}},[s("code",[t._v("cids")]),s("OutboundLink")],1),t._v(" library:")]),t._v(" "),s("div",{staticClass:"language-js extra-class"},[s("pre",{pre:!0,attrs:{class:"language-js"}},[s("code",[s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("const")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token constant"}},[t._v("CID")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("require")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'cids'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("new")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token class-name"}},[t._v("CID")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'QmbWqxBEKC3P8tqsKc98xmWNzrzDtRLMiMPL8wBuTGsMnR'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("toV1")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("toString")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'base32'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token comment"}},[t._v("// → bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi")]),t._v("\n")])])]),s("h3",{attrs:{id:"text-to-binary"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#text-to-binary"}},[t._v("#")]),t._v(" Text to binary")]),t._v(" "),s("p",[t._v("A CID can be represented as both text and as a stream of bytes. The latter may be a better choice when speed and storage efficiency are considerations.")]),t._v(" "),s("p",[t._v("To convert a CIDv1 from text to binary form, simply read the first character"),s("br"),t._v("\nand then decode the remainder using the encoding specified in the "),s("a",{attrs:{href:"https://github.com/multiformats/multibase#multibase-table",target:"_blank",rel:"noopener noreferrer"}},[t._v("multibase table"),s("OutboundLink")],1),t._v(".")]),t._v(" "),s("p",[t._v("JS users can leverage the "),s("a",{attrs:{href:"https://www.npmjs.com/package/cids",target:"_blank",rel:"noopener noreferrer"}},[s("code",[t._v("cids")]),s("OutboundLink")],1),t._v(" library to get a binary version as "),s("code",[t._v("Uint8Array")]),t._v(":")]),t._v(" "),s("div",{staticClass:"language-js extra-class"},[s("pre",{pre:!0,attrs:{class:"language-js"}},[s("code",[s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("const")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token constant"}},[t._v("CID")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("require")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'cids'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("new")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token class-name"}},[t._v("CID")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),t._v("bytes\n"),s("span",{pre:!0,attrs:{class:"token comment"}},[t._v("// → Uint8Array [ 1, 112,  18,  32, 195, 196, 115,  62, ... ]")]),t._v("\n")])])]),s("div",{staticClass:"custom-block warning"},[s("p",{staticClass:"custom-block-title"},[t._v("Be mindful about parsing CIDs correctly. Avoid shortcuts.")]),t._v(" "),s("p",[t._v("Unless you are the one who imported the data to IPFS, the length of a CID is not deterministic and depends on the length of the multihash inside of it.")]),t._v(" "),s("p",[t._v("To illustrate, passing a custom hash function will produce CIDs of varying lengths:")]),t._v(" "),s("div",{staticClass:"language- extra-class"},[s("pre",{pre:!0,attrs:{class:"language-text"}},[s("code",[t._v("$ ipfs add --cid-version 1 --hash sha2-256    -nq cat.jpg | wc -c\n60\n$ ipfs add --cid-version 1 --hash blake2b-256 -nq cat.jpg | wc -c\n63\n$ ipfs add --cid-version 1 --hash sha3-512    -nq cat.jpg | wc -c\n111\n")])])])]),t._v(" "),s("h3",{attrs:{id:"cid-to-hex"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#cid-to-hex"}},[t._v("#")]),t._v(" CID to hex")]),t._v(" "),s("p",[t._v("Sometimes, a "),s("a",{attrs:{href:"https://en.wikipedia.org/wiki/Hexadecimal",target:"_blank",rel:"noopener noreferrer"}},[t._v("hexadecimal"),s("OutboundLink")],1),t._v(" representation of raw bytes is prefered for debug purposes."),s("br"),t._v("\nTo get the hex for raw "),s("code",[t._v(".bytes")]),t._v(" of an entire CID, one can use built-in support for "),s("code",[t._v("base16")]),t._v(" encoding and skip the "),s("code",[t._v("f")]),t._v(" (multibase prefix):")]),t._v(" "),s("div",{staticClass:"language-javascript extra-class"},[s("pre",{pre:!0,attrs:{class:"language-javascript"}},[s("code",[s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(">")]),t._v(" cid"),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("toString")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'base16'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'f01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a'")]),t._v("\n\n"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(">")]),t._v(" cid"),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("toString")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'base16'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("substring")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token number"}},[t._v("1")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a'")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token comment"}},[t._v('// "cid as hex"')]),t._v("\n")])])]),s("p",[t._v("To convert back to a CIDv1, prepend the hex value with "),s("code",[t._v("f")]),t._v(" ("),s("a",{attrs:{href:"https://github.com/multiformats/multibase#multibase-table",target:"_blank",rel:"noopener noreferrer"}},[t._v("multibase prefix"),s("OutboundLink")],1),t._v(" for lowercase base16)."),s("br"),t._v("\nUse it as-is (it is a "),s("a",{attrs:{href:"https://ipfs.io/ipfs/f01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a",target:"_blank",rel:"noopener noreferrer"}},[t._v("valid CID"),s("OutboundLink")],1),t._v("), or convert to a different multibase by passing it as an argument to "),s("code",[t._v("toString")]),t._v(":")]),t._v(" "),s("div",{staticClass:"language-javascript extra-class"},[s("pre",{pre:!0,attrs:{class:"language-javascript"}},[s("code",[s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(">")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("new")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token class-name"}},[t._v("CID")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'f'")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("+")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("toString")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'base32'")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token comment"}},[t._v("// → bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi")]),t._v("\n")])])]),s("div",{staticClass:"custom-block tip"},[s("p",{staticClass:"custom-block-title"},[t._v("TIP")]),t._v(" "),s("p",[s("RouterLink",{attrs:{to:"/how-to/address-ipfs-on-web/#subdomain-gateway"}},[t._v("Subdomain gateways")]),t._v(" convert paths with custom bases like base16 to base32 or base36, in an effort to fit a CID in a DNS label:")],1),t._v(" "),s("ul",[s("li",[s("a",{attrs:{href:"https://dweb.link/ipfs/f01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a",target:"_blank",rel:"noopener noreferrer"}},[t._v("dweb.link/ipfs/f01701220c3c4733ec8affd06cf9e9ff50ffc6bcd2ec85a6170004bb709669c31de94391a"),s("OutboundLink")],1),s("br"),t._v("\nreturns a HTTP 301 redirect:"),s("br"),t._v("\n→ "),s("a",{attrs:{href:"https://bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi.ipfs.dweb.link/",target:"_blank",rel:"noopener noreferrer"}},[t._v("bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi.ipfs.dweb.link"),s("OutboundLink")],1)])])]),t._v(" "),s("h2",{attrs:{id:"further-resources"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#further-resources"}},[t._v("#")]),t._v(" Further resources")]),t._v(" "),s("p",[t._v("Check out these links for more information on CIDs and how they work:")]),t._v(" "),s("ul",[s("li",[s("a",{attrs:{href:"https://www.youtube.com/watch?v=Z5zNPwMDYGg",target:"_blank",rel:"noopener noreferrer"}},[t._v("Core Course: How IPFS Deals With Files"),s("OutboundLink")],1)]),t._v(" "),s("li",[s("a",{attrs:{href:"https://www.youtube.com/watch?v=OCv5PvLnk-Y",target:"_blank",rel:"noopener noreferrer"}},[t._v("Files and IPFS Companion"),s("OutboundLink")],1)])])])}),[],!1,null,null,null);e.default=r.exports}}]);