(window.webpackJsonp=window.webpackJsonp||[]).push([[51],{530:function(e,t,a){"use strict";a.r(t);var s=a(19),r=Object(s.a)({},(function(){var e=this,t=e.$createElement,a=e._self._c||t;return a("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[a("h1",{attrs:{id:"hashing"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#hashing"}},[e._v("#")]),e._v(" Hashing")]),e._v(" "),a("div",{staticClass:"custom-block tip"},[a("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),a("p",[e._v("If you're interested in how cryptographic hashes fit into how IPFS works with files in general, check out this video from IPFS Camp 2019! "),a("a",{attrs:{href:"https://www.youtube.com/watch?v=Z5zNPwMDYGg",target:"_blank",rel:"noopener noreferrer"}},[e._v("Core Course: How IPFS Deals With Files"),a("OutboundLink")],1)])]),e._v(" "),a("p",[e._v("Cryptographic hashes are functions that take some arbitrary input and return a fixed-length value. The particular value depends on the given hash algorithm in use, such as "),a("a",{attrs:{href:"https://en.wikipedia.org/wiki/SHA-1",target:"_blank",rel:"noopener noreferrer"}},[e._v("SHA-1"),a("OutboundLink")],1),e._v(" (used by git), "),a("a",{attrs:{href:"https://en.wikipedia.org/wiki/SHA-2",target:"_blank",rel:"noopener noreferrer"}},[e._v("SHA-256"),a("OutboundLink")],1),e._v(", or "),a("a",{attrs:{href:"https://en.wikipedia.org/wiki/BLAKE_(hash_function)#BLAKE2",target:"_blank",rel:"noopener noreferrer"}},[e._v("BLAKE2"),a("OutboundLink")],1),e._v(", but a given hash algorithm always returns the same value for a given input. Have a look at Wikipedia's "),a("a",{attrs:{href:"https://en.wikipedia.org/wiki/List_of_hash_functions",target:"_blank",rel:"noopener noreferrer"}},[e._v("full list of hash functions"),a("OutboundLink")],1),e._v(" for more.")]),e._v(" "),a("p",[e._v("As an example, the input:")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("Hello world\n")])])]),a("p",[e._v("would be represented by "),a("strong",[e._v("SHA-1")]),e._v(" as:")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("0x7B502C3A1F48C8609AE212CDFB639DEE39673F5E\n")])])]),a("p",[e._v("However, the exact same input generates the following output using "),a("strong",[e._v("SHA-256")]),e._v(":")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("0x64EC88CA00B268E5BA1A35678A1B5316D212F4F366B2477232534A8AECA37F3C\n")])])]),a("p",[e._v("Notice that the second hash is longer than the first one. This is because SHA-1 creates a 160-bit hash, while SHA-256 creates a 256-bit hash. The prepended "),a("code",[e._v("0x")]),e._v(" indicates that the following hash is represented as a hexadecimal number.")]),e._v(" "),a("p",[e._v("Hashes can be represented in different bases ("),a("code",[e._v("base2")]),e._v(", "),a("code",[e._v("base16")]),e._v(", "),a("code",[e._v("base32")]),e._v(", etc.). In fact, IPFS makes use of that as part of its "),a("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[e._v("content identifiers")]),e._v(" and supports multiple base representations at the same time, using the "),a("a",{attrs:{href:"https://github.com/multiformats/multibase",target:"_blank",rel:"noopener noreferrer"}},[e._v("Multibase"),a("OutboundLink")],1),e._v(" protocol.")],1),e._v(" "),a("p",[e._v('For example, the SHA-256 hash of "Hello world" from above can be represented as base 32 as:')]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("mtwirsqawjuoloq2gvtyug2tc3jbf5htm2zeo4rsknfiv3fdp46a\n")])])]),a("h2",{attrs:{id:"hashes-are-important"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#hashes-are-important"}},[e._v("#")]),e._v(" Hashes are important")]),e._v(" "),a("p",[e._v("Cryptographic hashes come with a couple of very important characteristics:")]),e._v(" "),a("ul",[a("li",[a("strong",[e._v("deterministic")]),e._v(" - the same input message always returns exactly the same output hash")]),e._v(" "),a("li",[a("strong",[e._v("uncorrelated")]),e._v(" - a small change in the message should generate a completely different hash")]),e._v(" "),a("li",[a("strong",[e._v("unique")]),e._v(" - it's infeasible to generate the same hash from two different messages")]),e._v(" "),a("li",[a("strong",[e._v("one-way")]),e._v(" - it's infeasible to guess or calculate the input message from its hash")])]),e._v(" "),a("p",[e._v("These features also mean we can use a cryptographic hash to identify any piece of data: the hash is unique to the data we calculated it from and it's not too long so sending it around the network doesn't take up a lot of resource. A hash is a fixed length, so the SHA-256 hash of a one-gigabyte video file is still only 32 bytes.")]),e._v(" "),a("p",[e._v("That's critical for a distributed system like IPFS, where we want to be able to store and retrieve data from many places. A computer running IPFS can ask all the peers it's connected to whether they have a file with a particular hash and, if one of them does, they send back the whole file. Without a short, unique identifier like a cryptographic hash, that wouldn't be possible. This technique is called "),a("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[e._v("content addressing")]),e._v(" — because the content itself is used to form an address, rather than information about the computer and disk location it's stored at.")],1),e._v(" "),a("h2",{attrs:{id:"content-identifiers-are-not-file-hashes"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#content-identifiers-are-not-file-hashes"}},[e._v("#")]),e._v(" Content identifiers are not file hashes")]),e._v(" "),a("p",[e._v("Hash functions are widely used as to check for file integrity. A download provider may publish the output of a hash function for a file, often called a "),a("em",[e._v("checksum")]),e._v(". The checksum enables users to verify that a file has not been altered since it was published. This check is done by performing the same hash function against the downloaded file that was used to generate the checksum. If that checksum that the user receives from the downloaded file exactly matches the checksum on the website, then the user knows that the file was not altered and can be trusted.")]),e._v(" "),a("p",[e._v("Let us look at a concrete example. When you download an image file for "),a("a",{attrs:{href:"https://ubuntu.com/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Ubuntu Linux"),a("OutboundLink")],1),e._v(" you might see the following "),a("code",[e._v("SHA-256")]),e._v(" checksum on the Ubuntu website listed for verification purposes:")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("0xB45165ED3CD437B9FFAD02A2AAD22A4DDC69162470E2622982889CE5826F6E3D ubuntu-20.04.1-desktop-amd64.iso\n")])])]),a("p",[e._v("After downloading the Ubuntu image, you can verify the integrity of the file by hashing the file to make sure the checksums match:")]),e._v(" "),a("div",{staticClass:"language-shell extra-class"},[a("pre",{pre:!0,attrs:{class:"language-shell"}},[a("code",[a("span",{pre:!0,attrs:{class:"token builtin class-name"}},[e._v("echo")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token string"}},[e._v('"b45165ed3cd437b9ffad02a2aad22a4ddc69162470e2622982889ce5826f6e3d *ubuntu-20.04.1-desktop-amd64.iso"')]),e._v(" "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("|")]),e._v(" shasum -a "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("256")]),e._v(" --check\n\nubuntu-20.04.1-desktop-amd64.iso: OK\n")])])]),a("p",[e._v("If we add the "),a("code",[e._v("ubuntu-20.04.1-desktop-amd64.iso")]),e._v(" file to IPFS we receive a hash as an output:")]),e._v(" "),a("div",{staticClass:"language-shell extra-class"},[a("pre",{pre:!0,attrs:{class:"language-shell"}},[a("code",[e._v("ipfs "),a("span",{pre:!0,attrs:{class:"token function"}},[e._v("add")]),e._v(" ubuntu-20.04.1-desktop-amd64.iso\n\nadded QmPK1s3pNYLi9ERiq3BDxKa4XosgWwFRQUydHUtz4YgpqB ubuntu-20.04.1-desktop-amd64.iso\n "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("2.59")]),e._v(" GiB / "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("2.59")]),e._v(" GiB "),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("[")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("==")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("]")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("100.00")]),e._v("%\n")])])]),a("p",[e._v("The string "),a("code",[e._v("QmPK1s3pNYLi9ERiq3BDxKa4XosgWwFRQUydHUtz4YgpqB")]),e._v(" returned by the "),a("code",[e._v("ipfs add")]),e._v(" command is the content identifier (CID) of the file "),a("code",[e._v("ubuntu-20.04.1-desktop-amd64.iso")]),e._v(". We can utilize the "),a("a",{attrs:{href:"https://cid.ipfs.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("CID Inspector"),a("OutboundLink")],1),e._v(" to see what the CID includes. The actual hash is listed under "),a("code",[e._v("DIGEST (HEX)")]),e._v(":")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("NAME: sha2-256\nBITS: 256\nDIGEST (HEX): 0E7071C59DF3B9454D1D18A15270AA36D54F89606A576DC621757AFD44AD1D2E\n")])])]),a("div",{staticClass:"custom-block tip"},[a("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),a("p",[e._v("The names of hash functions are not used consistently."),a("code",[e._v("SHA-2")]),e._v(", "),a("code",[e._v("SHA-256")]),e._v(" or "),a("code",[e._v("SHA-256 bit")]),e._v(" all refer to the same hash function.")])]),e._v(" "),a("p",[e._v("We can now check if the hash contained in the CID equals the checksum for the file:")]),e._v(" "),a("div",{staticClass:"language-shell extra-class"},[a("pre",{pre:!0,attrs:{class:"language-shell"}},[a("code",[a("span",{pre:!0,attrs:{class:"token builtin class-name"}},[e._v("echo")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token string"}},[e._v('"0E7071C59DF3B9454D1D18A15270AA36D54F89606A576DC621757AFD44AD1D2E *ubuntu-20.04.1-desktop-amd64.iso"')]),e._v(" "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("|")]),e._v(" shasum -a "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("256")]),e._v(" --check\n\nubuntu-20.04.1-desktop-amd64.iso: FAILED\nshasum: WARNING: "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("1")]),e._v(" computed checksum did NOT match\n")])])]),a("p",[e._v("As we can see, the hash included in the CID does NOT match the hash of the input file "),a("code",[e._v("ubuntu-20.04.1-desktop-amd64.iso")]),e._v(". To understand what the hash contained in the CID is, we must understand how IPFS stores files. IPFS uses a "),a("RouterLink",{attrs:{to:"/concepts/merkle-dag/"}},[e._v("directed acyclic graph (DAG)")]),e._v(" to keep track of all the data stored in IPFS. A CID identifies one specific node in this graph. This identifier is the result of hashing the node's contents using a cryptographic hash function like "),a("code",[e._v("SHA256")]),e._v(".")],1)])}),[],!1,null,null,null);t.default=r.exports}}]);