(window.webpackJsonp=window.webpackJsonp||[]).push([[52],{531:function(e,t,o){"use strict";o.r(t);var s=o(19),a=Object(s.a)({},(function(){var e=this,t=e.$createElement,o=e._self._c||t;return o("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[o("h1",{attrs:{id:"how-ipfs-works"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#how-ipfs-works"}},[e._v("#")]),e._v(" How IPFS works")]),e._v(" "),o("div",{staticClass:"custom-block tip"},[o("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),o("p",[e._v("Want to see a video recap of how IPFS works with files in general? Check out this content from IPFS Camp 2019! "),o("a",{attrs:{href:"https://www.youtube.com/watch?v=Z5zNPwMDYGg",target:"_blank",rel:"noopener noreferrer"}},[e._v("Core Course: How IPFS Deals With Files"),o("OutboundLink")],1)])]),e._v(" "),o("p",[e._v("IPFS is a peer-to-peer (p2p) storage network. Content is accessible through peers located anywhere in the world, that might relay information, store it, or do both. IPFS knows how to find what you ask for using its content address rather than its location.")]),e._v(" "),o("p",[e._v("There are three fundamental principles to understanding IPFS:")]),e._v(" "),o("ol",[o("li",[e._v("Unique identification via content addressing")]),e._v(" "),o("li",[e._v("Content linking via directed acyclic graphs (DAGs)")]),e._v(" "),o("li",[e._v("Content discovery via distributed hash tables (DHTs)")])]),e._v(" "),o("p",[e._v("These three principles build upon each other to enable the IPFS ecosystem. Let's start with "),o("em",[e._v("content addressing")]),e._v(" and the unique identification of content.")]),e._v(" "),o("h2",{attrs:{id:"content-addressing"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#content-addressing"}},[e._v("#")]),e._v(" Content addressing")]),e._v(" "),o("p",[e._v("IPFS uses "),o("em",[e._v("content addressing")]),e._v(" to identify content by what's in it rather than by where it's located. Looking for an item by content is something you already do all the time. For example, when you look for a book in the library, you often ask for it by the title; that's content addressing because you're asking for "),o("em",[e._v("what")]),e._v(" it is. If you were using location addressing to find that book, you'd ask for it by "),o("em",[e._v("where")]),e._v(" it is: \"I want the book that's on the second floor, first stack, third shelf from the bottom, four books from the left.\" If someone moved that book, you'd be out of luck!")]),e._v(" "),o("p",[e._v("That problem exists for the internet and on your computer! Right now, content is found by location, such as:")]),e._v(" "),o("ul",[o("li",[o("code",[e._v("https://en.wikipedia.org/wiki/Aardvark")])]),e._v(" "),o("li",[o("code",[e._v("/Users/Alice/Documents/term_paper.doc")])]),e._v(" "),o("li",[o("code",[e._v("C:\\Users\\Joe\\My Documents\\project_sprint_presentation.ppt")])])]),e._v(" "),o("p",[e._v("By contrast, every piece of content that uses the IPFS protocol has a "),o("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[o("em",[e._v("content identifier")])]),e._v(", or CID, that is its "),o("em",[e._v("hash")]),e._v(". The hash is unique to the content that it came from, even though it may look short compared to the original content. If hashes are new to you, check out our "),o("RouterLink",{attrs:{to:"/concepts/hashing/"}},[e._v("guide to cryptographic hashing")]),e._v(" for an introduction.")],1),e._v(" "),o("p",[e._v("Many distributed systems make use of content addressing through hashes as a means for not just identifying content but also linking it together — everything from the commits that back your code to the blockchains that run cryptocurrencies leverage this strategy. However, the underlying data structures in these systems are not necessarily interoperable.")]),e._v(" "),o("p",[e._v("This is where the "),o("a",{attrs:{href:"https://ipld.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Interplanetary Linked Data (IPLD) project"),o("OutboundLink")],1),e._v(" comes in. IPLD translates between hash-linked data structures allowing for the unification of the data across distributed systems. IPLD provides libraries for combining pluggable modules (parsers for each possible type of IPLD node) to resolve a path, selector, or query across many linked nodes, allowing you to explore data regardless of the underlying protocol. IPLD provides a way to translate between content-addressable data structures: "),o("em",[e._v('"Oh, you use Git-style, no worries, I can follow those links. Oh, you use Ethereum, I got you, I can follow those links too!"')])]),e._v(" "),o("p",[e._v("IPFS follows particular data-structure preferences and conventions. The IPFS protocol uses those conventions and IPLD to get from raw content to an IPFS address that uniquely identifies content on the IPFS network. The next section explores how links between content are embedded within that content address through a DAG data structure.")]),e._v(" "),o("h2",{attrs:{id:"directed-acyclic-graphs-dags"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#directed-acyclic-graphs-dags"}},[e._v("#")]),e._v(" Directed acyclic graphs (DAGs)")]),e._v(" "),o("p",[e._v("IPFS and many other distributed systems take advantage of a data structure called "),o("a",{attrs:{href:"https://en.wikipedia.org/wiki/Directed_acyclic_graph",target:"_blank",rel:"noopener noreferrer"}},[e._v("directed acyclic graphs"),o("OutboundLink")],1),e._v(", or DAGs. Specifically, they use "),o("em",[e._v("Merkle DAGs")]),e._v(", which are DAGs where each node has a unique identifier that is a hash of the node's contents. Sound familiar? This refers back to the "),o("em",[e._v("CID")]),e._v(" concept that we covered in the previous section. Put another way: identifying a data object (like a Merkle DAG node) by the value of its hash "),o("em",[e._v("is content addressing")]),e._v(". Check out our "),o("RouterLink",{attrs:{to:"/concepts/merkle-dag/"}},[e._v("guide to Merkle DAGs")]),e._v(" for a more in-depth treatment of this topic.")],1),e._v(" "),o("p",[e._v("IPFS uses a Merkle DAG that is optimized for representing directories and files, but you can structure a Merkle DAG in many different ways. For example, Git uses a Merkle DAG that has many versions of your repo inside of it.")]),e._v(" "),o("p",[e._v("To build a Merkle DAG representation of your content, IPFS often first splits it into "),o("em",[e._v("blocks")]),e._v(". Splitting it into blocks means that different parts of the file can come from different sources and be authenticated quickly. (If you've ever used BitTorrent, you may have noticed that when you download a file, BitTorrent can fetch it from multiple peers at once; this is the same idea.)")]),e._v(" "),o("div",{staticClass:"custom-block tip"},[o("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),o("p",[e._v("It's easy to see a Merkle DAG representation of a file of your choice using the "),o("a",{attrs:{href:"https://dag.ipfs.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("DAG Builder visualizer"),o("OutboundLink")],1),e._v(".")])]),e._v(" "),o("p",[e._v("Merkle DAGs are a bit of a "),o("a",{attrs:{href:"https://ipfs.io/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Turtles_all_the_way_down.html",target:"_blank",rel:"noopener noreferrer"}},[e._v('"turtles all the way down"'),o("OutboundLink")],1),e._v(" scenario; that is, "),o("em",[e._v("everything")]),e._v(" has a CID. Let's say you have a file, and its CID identifies it. What if that file is in a folder with several other files? Those files will have CIDs too. What about that folder's CID? It would be a hash of the CIDs from the files underneath (i.e., the folder's content). In turn, those files are made up of blocks, and each of those blocks has a CID. You can see how a file system on your computer could be represented as a DAG. You can also see, hopefully, how Merkle DAG graphs start to form. For a visual exploration of this concept, take a look at the "),o("a",{attrs:{href:"https://explore.ipld.io/#/explore/QmSnuWmxptJZdLJpKRarxBMS2Ju2oANVrgbr2xWbie9b2D",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPLD Explorer"),o("OutboundLink")],1),e._v(".")]),e._v(" "),o("p",[e._v("Another useful feature of Merkle DAGs and breaking content into blocks is that if you have two similar files, they can share parts of the Merkle DAG, i.e., parts of different Merkle DAGs can reference the same subset of data. For example, if you update a website, only updated files receive new content addresses. Your old version and your new version can refer to the same blocks for everything else. This can make transferring versions of large datasets (such as genomics research or weather data) more efficient because you only need to transfer the parts that are new or have changed instead of creating entirely new files each time.")]),e._v(" "),o("p",[e._v("So, to recap, IPFS lets you give CIDs to content and link that content together in a Merkle DAG. Now let's move on to the last piece: how you find and move content.")]),e._v(" "),o("h2",{attrs:{id:"distributed-hash-tables-dhts"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#distributed-hash-tables-dhts"}},[e._v("#")]),e._v(" Distributed hash tables (DHTs)")]),e._v(" "),o("p",[e._v("To find which peers are hosting the content you're after ("),o("em",[e._v("discovery")]),e._v("), IPFS uses a "),o("RouterLink",{attrs:{to:"/concepts/dht/"}},[e._v("distributed hash table")]),e._v(", or DHT. A hash table is a database of keys to values. A "),o("em",[e._v("distributed")]),e._v(" hash table is one where the table is split across all the peers in a distributed network. To find content, you ask these peers.")],1),e._v(" "),o("p",[e._v("The "),o("a",{attrs:{href:"https://libp2p.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("libp2p project"),o("OutboundLink")],1),e._v(" is the part of the IPFS ecosystem that provides the DHT and handles peers connecting and talking to each other. (Note that, as with IPLD, libp2p can also be used as a tool for other distributed systems, not just IPFS.)")]),e._v(" "),o("p",[e._v("Once you know where your content is (or, more precisely, which peers are storing each of the blocks that make up the content you're after), you use the DHT again to find the current location of those peers ("),o("em",[e._v("routing")]),e._v("). So, in order to get to content, you use libp2p to query the DHT twice.")]),e._v(" "),o("p",[e._v("You've discovered your content, and you've found the current location(s) of that content. Now, you need to connect to that content and get it ("),o("em",[e._v("exchange")]),e._v("). To request blocks from and send blocks to other peers, IPFS currently uses a module called "),o("a",{attrs:{href:"https://github.com/ipfs/specs/blob/master/BITSWAP.md",target:"_blank",rel:"noopener noreferrer"}},[o("em",[e._v("Bitswap")]),o("OutboundLink")],1),e._v(". Bitswap allows you to connect to the peer or peers that have the content you want, send them your "),o("em",[e._v("wantlist")]),e._v(" (a list of all the blocks you're interested in), and have them send you the blocks you requested. Once those blocks arrive, you can verify them by hashing their content to get CIDs and compare them to the CIDs that you requested. These CIDs also allow you to deduplicate blocks if needed.")]),e._v(" "),o("p",[e._v("There are "),o("a",{attrs:{href:"https://github.com/ipfs/camp/blob/master/DEEP_DIVES/24-replication-protocol.md",target:"_blank",rel:"noopener noreferrer"}},[e._v("other content replication protocols under discussion"),o("OutboundLink")],1),e._v(" as well, the most developed of which is "),o("a",{attrs:{href:"https://github.com/ipld/specs/blob/master/block-layer/graphsync/graphsync.md",target:"_blank",rel:"noopener noreferrer"}},[o("em",[e._v("Graphsync")]),o("OutboundLink")],1),e._v(". There's also a proposal under discussion to "),o("a",{attrs:{href:"https://github.com/ipfs/go-bitswap/issues/186",target:"_blank",rel:"noopener noreferrer"}},[e._v("extend the Bitswap protocol"),o("OutboundLink")],1),e._v(" to add functionality around requests and responses.")]),e._v(" "),o("h3",{attrs:{id:"libp2p"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#libp2p"}},[e._v("#")]),e._v(" Libp2p")]),e._v(" "),o("p",[e._v("What makes libp2p especially useful for peer to peer connections is "),o("em",[e._v("connection multiplexing")]),e._v(". Traditionally, every service in a system opens a different connection to communicate with other services of the same kind remotely. Using IPFS, you open just one connection, and you multiplex everything on that. For everything your peers need to talk to each other about, you send a little bit of each thing, and the other end knows how to sort those chunks where they belong.")]),e._v(" "),o("p",[e._v("This is useful because establishing connections is usually hard to set up and expensive to maintain. With multiplexing, once you have that connection, you can do whatever you need on it.")]),e._v(" "),o("h2",{attrs:{id:"a-modular-paradigm"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#a-modular-paradigm"}},[e._v("#")]),e._v(" A modular paradigm")]),e._v(" "),o("p",[e._v("As you may have noticed from this discussion, the IPFS ecosystem is made up of many modular libraries that support specific parts of any distributed system. You can certainly use any part of the stack independently or combine them in novel ways.")]),e._v(" "),o("p",[e._v("The IPFS ecosystem gives CIDs to content and links that content together by generating IPLD Merkle DAGs. You can discover content using a DHT that's provided by libp2p, open a connection to any provider of that content, and download it using a multiplexed connection. All of this is held together by the middle of the stack, which is linked, unique identifiers; that's the essential part that IPFS is built on.")])])}),[],!1,null,null,null);t.default=a.exports}}]);