(window.webpackJsonp=window.webpackJsonp||[]).push([[53],{533:function(e,t,a){"use strict";a.r(t);var s=a(19),n=Object(s.a)({},(function(){var e=this,t=e.$createElement,a=e._self._c||t;return a("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[a("h1",{attrs:{id:"immutability"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#immutability"}},[e._v("#")]),e._v(" Immutability")]),e._v(" "),a("p",[e._v("An immutable object is an object whose state cannot be altered or modified once created. Once a file is added to the IPFS network, the content of that file cannot be changed without altering the "),a("a",{attrs:{href:"/concepts/content-addressing"}},[e._v("content identifier (CID)")]),e._v(" of the file. This feature is excellent for storing data that does not need to change. However, when it comes to content that needs to be altered or updated, immutability becomes a problem. This page discusses how to keep a mutable "),a("em",[e._v("state")]),e._v(" built from immutable building blocks.")]),e._v(" "),a("p",[e._v("A CID is an "),a("em",[e._v("absolute")]),e._v(" pointer to content. No matter when we request a CID, the CID value will always be the same. This is part of the content's architecture and cannot be changed. To manage "),a("em",[e._v("immutable")]),e._v(" files in a "),a("em",[e._v("mutable")]),e._v(" system, we need to add another layer that sits on top of CIDs.")]),e._v(" "),a("p",[e._v("As a basic example, let's have two blocks of content with the strings "),a("code",[e._v("hello")]),e._v(" and "),a("code",[e._v("world")]),e._v(" hashed into two leaf nodes with the CIDs "),a("code",[e._v("A")]),e._v(" and "),a("code",[e._v("B")]),e._v(". If we concatenate these two nodes, then we are given CID "),a("code",[e._v("C")]),e._v(". On top of this root CID, we assign a pointer "),a("code",[e._v("Pointer")]),e._v(".")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v('   +-----------+\n   |  Pointer  |\n   +-----------+\n         ↓\n      +-----+\n   +--|  C  |-+\n   |  +-----+ |\n   |          |\n+-----+    +-----+\n|  A  |    |  B  |\n+-----+    +-----+\n"hello"    "world"\n')])])]),a("p",[e._v("If we change the content of "),a("code",[e._v("B")]),e._v(" to "),a("code",[e._v("IPFS!")]),e._v(", all the upstream paths will change as well. In this simple example, the only upstream path is "),a("code",[e._v("C")]),e._v(". If we request content from the pointer we get back new content since the pointer is now "),a("em",[e._v("pointing")]),e._v(" at a completely different node. Node "),a("code",[e._v("B")]),e._v(" is not being edited, updated, or otherwise changed. Instead, we are creating a new DAG where the pointer points to CID "),a("code",[e._v("E")]),e._v(" that joins node "),a("code",[e._v("A")]),e._v(" and a new node, node "),a("code",[e._v("D")]),e._v(".")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v('   +-----------+\n   |  Pointer  | --------------+\n   +-----------+               |\n                               ↓\n      +-----+               +-----+\n   +--|  C  |-+         +-- |  E  | --+\n   |  +-----+ |         |   +-----+   |\n   |          |         |             |\n+-----+    +-----+     +-----+    +-----+\n|  A  |    |  B  |     |  A  |    |  D  |\n+-----+    +-----+     +-----+    +-----+\n"hello"    "world"     "hello"    "IPFS!"\n')])])]),a("p",[e._v("Again, node "),a("code",[e._v("B")]),e._v(" does not change. It will always refer to the same content, "),a("code",[e._v("world")]),e._v(". Node "),a("code",[e._v("A")]),e._v(" also appears in the new DAG. This is not because we are "),a("em",[e._v("keeping")]),e._v(" it; that would imply the location-addressed paradigm. In the content-addressed system, any time someone writes a block with "),a("code",[e._v('"hello"')]),e._v(", it will "),a("em",[e._v("always")]),e._v(" have CID "),a("code",[e._v("A")]),e._v("."),a("br"),e._v("\nThis is different from location-addressed systems where we could reuse the original buffer and edit the small substring that represents the difference.")]),e._v(" "),a("p",[e._v("Again, node "),a("code",[e._v("B")]),e._v(" does not change. It will always refer to the same content, "),a("code",[e._v("world")]),e._v(". Node "),a("code",[e._v("A")]),e._v(" also appears in the new DAG. This does not necessarily mean we copied the memory/buffer that contained the "),a("code",[e._v("hello")]),e._v(" string into our new message; that would imply the location-addressed paradigm that focuses on the "),a("em",[e._v("where")]),e._v(" and not the "),a("em",[e._v("what")]),e._v(". In a content-addressed system, any time someone writes the string "),a("code",[e._v("hello")]),e._v(" it will always have CID "),a("code",[e._v("A")]),e._v(", regardless of whether we copied the string from a previous location or we wrote it from scratch.")]),e._v(" "),a("h2",{attrs:{id:"website-explanation"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#website-explanation"}},[e._v("#")]),e._v(" Website explanation")]),e._v(" "),a("p",[e._v("Here we have a website that displays two headers called "),a("code",[e._v("header_1")]),e._v(" and "),a("code",[e._v("header_2")]),e._v(". The content of the headers is supplied from the variables "),a("code",[e._v("string_1")]),e._v(" and "),a("code",[e._v("string_2")]),e._v(".")]),e._v(" "),a("div",{staticClass:"language-html extra-class"},[a("pre",{pre:!0,attrs:{class:"language-html"}},[a("code",[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("<")]),e._v("body")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),e._v("\n  "),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("<")]),e._v("h1")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token attr-name"}},[e._v("id")]),a("span",{pre:!0,attrs:{class:"token attr-value"}},[a("span",{pre:!0,attrs:{class:"token punctuation attr-equals"}},[e._v("=")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v('"')]),e._v("header_1"),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v('"')])]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("</")]),e._v("h1")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),e._v("\n  "),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("<")]),e._v("h1")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token attr-name"}},[e._v("id")]),a("span",{pre:!0,attrs:{class:"token attr-value"}},[a("span",{pre:!0,attrs:{class:"token punctuation attr-equals"}},[e._v("=")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v('"')]),e._v("header_2"),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v('"')])]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("</")]),e._v("h1")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),e._v("\n"),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("</")]),e._v("body")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),e._v("\n"),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("<")]),e._v("script")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),a("span",{pre:!0,attrs:{class:"token script"}},[a("span",{pre:!0,attrs:{class:"token language-javascript"}},[e._v("\n  "),a("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("let")]),e._v(" string_1 "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token string"}},[e._v("'hello'")]),e._v("\n  "),a("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("let")]),e._v(" string_2 "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token string"}},[e._v("'world'")]),e._v("\n  document"),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),a("span",{pre:!0,attrs:{class:"token function"}},[e._v("getElementById")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("(")]),a("span",{pre:!0,attrs:{class:"token string"}},[e._v("'header_1'")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(")")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("textContent "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" string_1\n  document"),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),a("span",{pre:!0,attrs:{class:"token function"}},[e._v("getElementById")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("(")]),a("span",{pre:!0,attrs:{class:"token string"}},[e._v("'header_2'")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(")")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("textContent "),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" string_2\n")])]),a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token tag"}},[a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("</")]),e._v("script")]),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(">")])]),e._v("\n")])])]),a("p",[e._v("The CID of this website is "),a("code",[e._v("QmWLdyFMUugMtKZs1xeJCSUKerWd9M627gxjAtp6TLrAgP")]),e._v(". Users can go to "),a("a",{attrs:{href:"https://gateway.pinata.cloud/ipfs/QmWLdyFMUugMtKZs1xeJCSUKerWd9M627gxjAtp6TLrAgP",target:"_blank",rel:"noopener noreferrer"}},[a("code",[e._v("example.com/QmWLdyFMUugMtKZs1xeJCSUKerWd9M627gxjAtp6TLrAgP")]),a("OutboundLink")],1),e._v(" to view the site. If we change "),a("code",[e._v("string_2")]),e._v(" to "),a("code",[e._v("IPFS")]),e._v(" then the CID of the website changes to "),a("code",[e._v("Qme1A6ofTweQ1JSfLLdkoehHhpbAAk4Z2hWjyNC7YJF9m5")]),e._v(". Now users can go to "),a("a",{attrs:{href:"https://gateway.pinata.cloud/ipfs/Qme1A6ofTweQ1JSfLLdkoehHhpbAAk4Z2hWjyNC7YJF9m5",target:"_blank",rel:"noopener noreferrer"}},[a("code",[e._v("example.com/Qme1A6ofTweQ1JSfLLdkoehHhpbAAk4Z2hWjyNC7YJF9m5")]),a("OutboundLink")],1),e._v(".")]),e._v(" "),a("p",[e._v("Having a user visit the site using the CID is cumbersome since the CID will change every time a variable is updated. So instead, we can use a "),a("em",[e._v("pointer")]),e._v(" that maintains the CID of the page with the latest update. This way, users can go to "),a("code",[e._v("example.com")]),e._v(", and always be directed to the latest content. This pointer is "),a("em",[e._v("mutable")]),e._v("; it can be updated to reflect the changes downstream.")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("+--------+      +---------+      +----------+\n|  User  | ---\x3e | Pointer | ---\x3e | QmWLd... |\n+--------+      +---------+      +----------+\n")])])]),a("p",[e._v("In the website example, when we change a variable, the CID of the webpage is different. The pointer must be updated to redirect users to the latest webpage. What's important is that the "),a("em",[e._v("old")]),e._v(" CID still exists. Nothing is overwritten. The original CID "),a("code",[e._v("QmWLdyFMUugMtKZs1xeJCSUKerWd9M627gxjAtp6TLrAgP")]),e._v(" will always refer to a webpage with the headers "),a("code",[e._v("hello")]),e._v(" and "),a("code",[e._v("world")]),e._v(". What we're doing is constructing a new "),a("a",{attrs:{href:"/concepts/merkle-dag"}},[e._v("DAG")]),e._v(".")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("+--------+      +---------+      +----------+\n|  User  | ---\x3e | Pointer |      | QmWLd... |\n+--------+      +---------+      +----------+\n                     |\n                     |           +----------+\n                     + --------\x3e | Qme1A... |\n                                 +----------+\n")])])]),a("p",[e._v("This process is essentially what the "),a("a",{attrs:{href:"/concepts/ipns"}},[e._v("InterPlantery Naming Service (IPNS)")]),e._v(" does! CIDs can be difficult to deal with and hard to remember, so IPNS saves users from the cumbersome task of dealing with CIDs directly. More importantly, CIDs change with the content because they are the content. Whereas the inbound reference of URLs/pointers stay the same, and the outbound referral changes:")]),e._v(" "),a("div",{staticClass:"language- extra-class"},[a("pre",{pre:!0,attrs:{class:"language-text"}},[a("code",[e._v("+--------+      +--------------+      +-------------------------------------------------------------+\n|  User  | ---\x3e | docs.ipfs.io | ---\x3e | bafybeigsddxhokzs3swgx6mss5i3gm6jqzv5b45e2xybqg7dr3jmsykrku |\n+--------+      +--------------+      +-------------------------------------------------------------+\n")])])])])}),[],!1,null,null,null);t.default=n.exports}}]);