(window.webpackJsonp=window.webpackJsonp||[]).push([[78],{563:function(e,t,n){"use strict";n.r(t);var o=n(19),s=Object(o.a)({},(function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[n("h1",{attrs:{id:"pin-files-using-ipfs"}},[n("a",{staticClass:"header-anchor",attrs:{href:"#pin-files-using-ipfs"}},[e._v("#")]),e._v(" Pin files using IPFS")]),e._v(" "),n("p",[e._v('Pinning is a very important concept in IPFS. IPFS semantics try to make it feel like every single object is local — there is no "retrieve this file for me from a remote server", just '),n("code",[e._v("ipfs cat")]),e._v(" or "),n("code",[e._v("ipfs get")]),e._v(", which act the same way no matter where the actual object is located.")]),e._v(" "),n("p",[e._v("While this is nice, sometimes you want to be able to control what you keep around. "),n("strong",[e._v("Pinning")]),e._v(" is the mechanism that allows you to tell IPFS to always keep a given object somewhere — the default being your local node, though this can be different if you use a "),n("RouterLink",{attrs:{to:"/how-to/work-with-pinning-services/"}},[e._v("third-party remote pinning service")]),e._v(". IPFS has a fairly aggressive caching mechanism that will keep an object local for a short time after you perform any IPFS operation on it, but these objects may get garbage-collected regularly. To prevent that garbage collection, simply pin the CID you care about, or add it to "),n("RouterLink",{attrs:{to:"/concepts/file-systems/#mutable-file-system-mfs"}},[e._v("MFS")]),e._v(". Objects added through "),n("code",[e._v("ipfs add")]),e._v(" are pinned recursively by default. Things in MFS are not pinned by default, but are protected from garbage-collection, so one can think about MFS as a mechanism for implicit pinning.")],1),e._v(" "),n("p",[e._v("Let's look at this example to explore pinning to your local IPFS node in a bit more depth:")]),e._v(" "),n("div",{staticClass:"language- extra-class"},[n("pre",{pre:!0,attrs:{class:"language-text"}},[n("code",[e._v('echo "ipfs rocks" > foo\nipfs add foo\nipfs pin ls --type=all\nipfs pin rm <foo hash>\nipfs pin rm <foo hash>\nipfs pin ls --type=all\n')])])]),n("h2",{attrs:{id:"three-kinds-of-pins"}},[n("a",{staticClass:"header-anchor",attrs:{href:"#three-kinds-of-pins"}},[e._v("#")]),e._v(" Three kinds of pins")]),e._v(" "),n("p",[e._v("As you may have noticed in the example above, the first "),n("code",[e._v("ipfs pin rm")]),e._v(" command didn't work — it should have warned you that the given hash was "),n("em",[e._v("pinned recursively")]),e._v(". What does this mean? There are three types of pins in the IPFS world:")]),e._v(" "),n("ul",[n("li",[n("strong",[e._v("Direct pins")]),e._v(", which pin just a single block and no others in relation to it.")]),e._v(" "),n("li",[n("strong",[e._v("Recursive pins")]),e._v(", which pin a given block and all of its children.")]),e._v(" "),n("li",[n("strong",[e._v("Indirect pins")]),e._v(", which are the result of a given block's parent being pinned recursively.")])]),e._v(" "),n("p",[e._v("A pinned object cannot be garbage-collected — try this for proof:")]),e._v(" "),n("div",{staticClass:"language-bash extra-class"},[n("pre",{pre:!0,attrs:{class:"language-bash"}},[n("code",[e._v("ipfs "),n("span",{pre:!0,attrs:{class:"token function"}},[e._v("add")]),e._v(" foo\nipfs repo gc\nipfs "),n("span",{pre:!0,attrs:{class:"token function"}},[e._v("cat")]),e._v(" "),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v("<")]),e._v("foo hash"),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v("\n")])])]),n("p",[e._v("But if "),n("code",[e._v("foo")]),e._v(" were to somehow become unpinned ...")]),e._v(" "),n("div",{staticClass:"language-bash extra-class"},[n("pre",{pre:!0,attrs:{class:"language-bash"}},[n("code",[e._v("ipfs pin "),n("span",{pre:!0,attrs:{class:"token function"}},[e._v("rm")]),e._v(" "),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v("<")]),e._v("foo hash"),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v("\nipfs repo gc\nipfs "),n("span",{pre:!0,attrs:{class:"token function"}},[e._v("cat")]),e._v(" "),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v("<")]),e._v("foo hash"),n("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v("\n")])])]),n("h2",{attrs:{id:"local-versus-remote-pinning"}},[n("a",{staticClass:"header-anchor",attrs:{href:"#local-versus-remote-pinning"}},[e._v("#")]),e._v(" Local versus remote pinning")]),e._v(" "),n("p",[e._v("All the information above assumes that you're pinning items locally — that is, to your local IPFS node. That's the default behavior for IPFS, but it's also possible to pin your files to a "),n("em",[e._v("remote pinning service")]),e._v(". These third-party services give you the opportunity to pin files not to your own local node, but to nodes that they operate. You don't need to worry about your own node's available disk space or uptime.")]),e._v(" "),n("p",[e._v("While you can use a remote pinning service's own GUI, CLI, or other dev tools to manage IPFS files pinned to their service, you can also work directly with pinning services using your local IPFS installation — meaning that you don't need to learn a pinning service's unique API or other tooling.")]),e._v(" "),n("ul",[n("li",[n("p",[e._v("The "),n("a",{attrs:{href:"https://ipfs.github.io/pinning-services-api-spec/",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Pinning Service API"),n("OutboundLink")],1),e._v(" offers a specification that enables developers to integrate any pinning service that supports the spec, or create their own. Thanks to the OpenAPI spec format, both clients and servers can be "),n("a",{attrs:{href:"https://github.com/ipfs/pinning-services-api-spec#code-generation",target:"_blank",rel:"noopener noreferrer"}},[e._v("generated"),n("OutboundLink")],1),e._v(" from the YAML spec file.")])]),e._v(" "),n("li",[n("p",[e._v("If you use go-ipfs 0.8+ from the command line, you have access to "),n("code",[e._v("ipfs pin remote")]),e._v(" commands acting as a client for interacting with pinning service APIs. Add your favorite pinning service(s), pin CIDs under human-readable names, get pin statuses, and more, straight from the CLI. "),n("RouterLink",{attrs:{to:"/how-to/work-with-pinning-services/"}},[e._v("Learn how →")])],1)]),e._v(" "),n("li",[n("p",[n("a",{attrs:{href:"https://github.com/ipfs-shipyard/ipfs-desktop",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Desktop"),n("OutboundLink")],1),e._v(" and its equivalent in-browser IPFS web interface, the "),n("a",{attrs:{href:"https://github.com/ipfs-shipyard/ipfs-webui",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Web UI"),n("OutboundLink")],1),e._v(", both support remote pinning services, so you can pin to your favorite pinning service(s) straight from the UI. "),n("RouterLink",{attrs:{to:"/how-to/work-with-pinning-services/"}},[e._v("Learn how →")])],1)])])])}),[],!1,null,null,null);t.default=s.exports}}]);