(window.webpackJsonp=window.webpackJsonp||[]).push([[83],{568:function(t,e,s){"use strict";s.r(e);var a=s(19),r=Object(a.a)({},(function(){var t=this,e=t.$createElement,s=t._self._c||e;return s("ContentSlotsDistributor",{attrs:{"slot-key":t.$parent.slotKey}},[s("h1",{attrs:{id:"use-an-existing-private-key"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#use-an-existing-private-key"}},[t._v("#")]),t._v(" Use an existing private key")]),t._v(" "),s("p",[t._v("There are two locations in which IPFS stores private keys:")]),t._v(" "),s("table",[s("thead",[s("tr",[s("th",[t._v("Location")]),t._v(" "),s("th",[t._v("Purpose")]),t._v(" "),s("th",[t._v("Specification")])])]),t._v(" "),s("tbody",[s("tr",[s("td",[t._v("Config file ("),s("code",[t._v("~/.ipfs/config")]),t._v(")")]),t._v(" "),s("td",[t._v("Holds a single private key; used as the default for initializing the IPFS node, IPNS publishing, etc.")]),t._v(" "),s("td",[s("a",{attrs:{href:"https://github.com/ipfs/go-ipfs/blob/master/docs/config.md#identityprivkey",target:"_blank",rel:"noopener noreferrer"}},[t._v("config#identityprivkey"),s("OutboundLink")],1)])]),t._v(" "),s("tr",[s("td",[t._v("Keystore ("),s("code",[t._v("~/.ipfs/keystore")]),t._v(")")]),t._v(" "),s("td",[t._v("Holds additional private keys the node has access to; can be used for IPNS signing, publishing, etc.")]),t._v(" "),s("td",[s("a",{attrs:{href:"https://github.com/ipfs/specs/blob/master/REPO_FS.md#keystore",target:"_blank",rel:"noopener noreferrer"}},[t._v("fs-repo#keystore"),s("OutboundLink")],1)])])])]),t._v(" "),s("p",[t._v("Private keys are handled programmatically through code or through the CLI. Here we will show you how to use your existing private keys using both methods.")]),t._v(" "),s("h2",{attrs:{id:"cli"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#cli"}},[t._v("#")]),t._v(" CLI")]),t._v(" "),s("p",[t._v("Use the CLI to manage your private keys.")]),t._v(" "),s("h3",{attrs:{id:"go-ipfs"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#go-ipfs"}},[t._v("#")]),t._v(" Go-IPFS")]),t._v(" "),s("p",[t._v("There's no way of directly initializing an IPFS node using your private keys from the Go-IPFS CLI at this time. To learn more and look for possible workarounds, see the discussion on issue "),s("a",{attrs:{href:"https://github.com/ipfs/go-ipfs/issues/4240",target:"_blank",rel:"noopener noreferrer"}},[t._v("ipfs/go-ipfs#4240"),s("OutboundLink")],1),t._v(".")]),t._v(" "),s("p",[t._v("You can, however, import private keys into the IPFS keystore:")]),t._v(" "),s("div",{staticClass:"language-sh extra-class"},[s("pre",{pre:!0,attrs:{class:"language-sh"}},[s("code",[t._v("ipfs key "),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("import")]),t._v(" CustomKeyName ./CustomKeyFile\n\n"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(">")]),t._v(" k51qzi5uqu5dlli90qkt7xcnnjsd6jkn5rbdg7scuv6leozp1ecokewk5rzbeh\n")])])]),s("p",[t._v("The content of the file holding the private key you want to import into the IPFS keystore needs to be in the correct format to be valid. The format of keystore files is outlined in the "),s("a",{attrs:{href:"https://github.com/ipfs/specs/blob/master/REPO_FS.md#keystore",target:"_blank",rel:"noopener noreferrer"}},[t._v("fs-repo"),s("OutboundLink")],1),t._v(" specification.")]),t._v(" "),s("h3",{attrs:{id:"js-ipfs"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#js-ipfs"}},[t._v("#")]),t._v(" JS-IPFS")]),t._v(" "),s("p",[t._v("You can provide the private key inline as a string when initializing:")]),t._v(" "),s("div",{staticClass:"language-sh extra-class"},[s("pre",{pre:!0,attrs:{class:"language-sh"}},[s("code",[t._v("jsipfs init --private-key "),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'my-private-key'")]),t._v("\n")])])]),s("p",[t._v("You can also import private keys into the IPFS keystore:")]),t._v(" "),s("div",{staticClass:"language-sh extra-class"},[s("pre",{pre:!0,attrs:{class:"language-sh"}},[s("code",[t._v("jsipfs key "),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("import")]),t._v(" CustomKeyName --passin"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'your-pem-password'")]),t._v(" --input"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),t._v("./CustomKeyFile\n\n"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(">")]),t._v(" imported QmcasS8sQuasoFb2MDXbmBDwatWdhbkXrmx7131Rban9GG CustomKeyName\n")])])]),s("h2",{attrs:{id:"programmatically"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#programmatically"}},[t._v("#")]),t._v(" Programmatically")]),t._v(" "),s("p",[t._v("Manage your private keys programmatically.")]),t._v(" "),s("h3",{attrs:{id:"javascript"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#javascript"}},[t._v("#")]),t._v(" JavaScript")]),t._v(" "),s("p",[t._v("Using pre-generated private keys with JavaScript is straight-forward:")]),t._v(" "),s("ol",[s("li",[t._v("Import the IPFS module.")]),t._v(" "),s("li",[t._v("Create the node, passing the desired private key in the "),s("a",{attrs:{href:"https://github.com/ipfs/js-ipfs/blob/master/docs/MODULE.md#optionsinit",target:"_blank",rel:"noopener noreferrer"}},[t._v("correct format"),s("OutboundLink")],1),t._v(" to the "),s("code",[t._v("IPFS.create")]),t._v(" function parameter:")])]),t._v(" "),s("div",{staticClass:"language-javascript extra-class"},[s("pre",{pre:!0,attrs:{class:"language-javascript"}},[s("code",[s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("import")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token constant"}},[t._v("IPFS")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("from")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'ipfs'")]),t._v("\n\n"),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("const")]),t._v(" myExistingPrivateKey "),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token string"}},[t._v("'my-private-key'")]),t._v("\n"),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("const")]),t._v(" ipfs "),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v("=")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token keyword"}},[t._v("await")]),t._v(" "),s("span",{pre:!0,attrs:{class:"token constant"}},[t._v("IPFS")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(".")]),s("span",{pre:!0,attrs:{class:"token function"}},[t._v("create")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("(")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("{")]),t._v(" privateKey"),s("span",{pre:!0,attrs:{class:"token operator"}},[t._v(":")]),t._v(" myExistingPrivateKey "),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v("}")]),s("span",{pre:!0,attrs:{class:"token punctuation"}},[t._v(")")]),t._v("\n")])])]),s("h3",{attrs:{id:"go"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#go"}},[t._v("#")]),t._v(" Go")]),t._v(" "),s("p",[t._v("Unfortunately, there's no clear way of initializing an IPFS node using your private keys from IPFS's Go Library at this moment.")]),t._v(" "),s("h2",{attrs:{id:"troubleshooting"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#troubleshooting"}},[t._v("#")]),t._v(" Troubleshooting")]),t._v(" "),s("h3",{attrs:{id:"key-not-changing"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#key-not-changing"}},[t._v("#")]),t._v(" Key not changing")]),t._v(" "),s("ul",[s("li",[t._v("If you already have an initialized repo (i.e., "),s("code",[t._v("~/.jsipfs")]),t._v(" is not empty), the existing key from the config file ("),s("code",[t._v("~/.jsipfs/config")]),t._v(") will be used instead of the provided one ("),s("a",{attrs:{href:"https://github.com/ipfs/js-ipfs/issues/2261#issuecomment-637449985",target:"_blank",rel:"noopener noreferrer"}},[t._v("ipfs/js-ipfs#2261"),s("OutboundLink")],1),t._v(").")])]),t._v(" "),s("h2",{attrs:{id:"use-cases"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#use-cases"}},[t._v("#")]),t._v(" Use cases")]),t._v(" "),s("ul",[s("li",[t._v("Use the keys for IPNS publishing.")]),t._v(" "),s("li",[t._v("Temporary and disposable keys.")]),t._v(" "),s("li",[t._v("Use in CI/CD pipelines.")]),t._v(" "),s("li",[t._v("Rotate the IPFS identity.")]),t._v(" "),s("li",[t._v("Use keys created from a third-party.")])]),t._v(" "),s("h2",{attrs:{id:"security"}},[s("a",{staticClass:"header-anchor",attrs:{href:"#security"}},[t._v("#")]),t._v(" Security")]),t._v(" "),s("p",[t._v("Using pre-existing keys with your IPFS installation comes with some security concerns that aren't present when using the IPFS-generated keys. You have to manage your keys and their security. Remember that private keys are your identity and the only way of seeing encrypted content, publishing as you, among other actions.")])])}),[],!1,null,null,null);e.default=r.exports}}]);